Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network222.0.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
222.0.0.0
Broadcast address
222.0.63.255
First usable
222.0.0.1
Last usable
222.0.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
C (default /24)
As numbers
Hex DE000000 · Integer 3724541952 to 3724558335
Reverse DNS zones
0.0.222.in-addr.arpa
1.0.222.in-addr.arpa
2.0.222.in-addr.arpa
3.0.222.in-addr.arpa
4.0.222.in-addr.arpa
5.0.222.in-addr.arpa
6.0.222.in-addr.arpa
7.0.222.in-addr.arpa
8.0.222.in-addr.arpa
9.0.222.in-addr.arpa
10.0.222.in-addr.arpa
11.0.222.in-addr.arpa
12.0.222.in-addr.arpa
13.0.222.in-addr.arpa
14.0.222.in-addr.arpa
15.0.222.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011110.00000000.00000000.00000000222.0.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11011110.00000000.00000000.00000000222.0.0.0
Broadcast11011110.00000000.00111111.11111111222.0.63.255
Split into smaller subnets/30

222.0.0.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1222.0.0.0/30222.0.0.1 to 222.0.0.2222.0.0.32
2222.0.0.4/30222.0.0.5 to 222.0.0.6222.0.0.72
3222.0.0.8/30222.0.0.9 to 222.0.0.10222.0.0.112
4222.0.0.12/30222.0.0.13 to 222.0.0.14222.0.0.152
5222.0.0.16/30222.0.0.17 to 222.0.0.18222.0.0.192
6222.0.0.20/30222.0.0.21 to 222.0.0.22222.0.0.232
7222.0.0.24/30222.0.0.25 to 222.0.0.26222.0.0.272
8222.0.0.28/30222.0.0.29 to 222.0.0.30222.0.0.312
9222.0.0.32/30222.0.0.33 to 222.0.0.34222.0.0.352
10222.0.0.36/30222.0.0.37 to 222.0.0.38222.0.0.392
11222.0.0.40/30222.0.0.41 to 222.0.0.42222.0.0.432
12222.0.0.44/30222.0.0.45 to 222.0.0.46222.0.0.472
13222.0.0.48/30222.0.0.49 to 222.0.0.50222.0.0.512
14222.0.0.52/30222.0.0.53 to 222.0.0.54222.0.0.552
15222.0.0.56/30222.0.0.57 to 222.0.0.58222.0.0.592
16222.0.0.60/30222.0.0.61 to 222.0.0.62222.0.0.632
17222.0.0.64/30222.0.0.65 to 222.0.0.66222.0.0.672
18222.0.0.68/30222.0.0.69 to 222.0.0.70222.0.0.712
19222.0.0.72/30222.0.0.73 to 222.0.0.74222.0.0.752
20222.0.0.76/30222.0.0.77 to 222.0.0.78222.0.0.792
21222.0.0.80/30222.0.0.81 to 222.0.0.82222.0.0.832
22222.0.0.84/30222.0.0.85 to 222.0.0.86222.0.0.872
23222.0.0.88/30222.0.0.89 to 222.0.0.90222.0.0.912
24222.0.0.92/30222.0.0.93 to 222.0.0.94222.0.0.952
25222.0.0.96/30222.0.0.97 to 222.0.0.98222.0.0.992
26222.0.0.100/30222.0.0.101 to 222.0.0.102222.0.0.1032
27222.0.0.104/30222.0.0.105 to 222.0.0.106222.0.0.1072
28222.0.0.108/30222.0.0.109 to 222.0.0.110222.0.0.1112
29222.0.0.112/30222.0.0.113 to 222.0.0.114222.0.0.1152
30222.0.0.116/30222.0.0.117 to 222.0.0.118222.0.0.1192
31222.0.0.120/30222.0.0.121 to 222.0.0.122222.0.0.1232
32222.0.0.124/30222.0.0.125 to 222.0.0.126222.0.0.1272
33222.0.0.128/30222.0.0.129 to 222.0.0.130222.0.0.1312
34222.0.0.132/30222.0.0.133 to 222.0.0.134222.0.0.1352
35222.0.0.136/30222.0.0.137 to 222.0.0.138222.0.0.1392
36222.0.0.140/30222.0.0.141 to 222.0.0.142222.0.0.1432
37222.0.0.144/30222.0.0.145 to 222.0.0.146222.0.0.1472
38222.0.0.148/30222.0.0.149 to 222.0.0.150222.0.0.1512
39222.0.0.152/30222.0.0.153 to 222.0.0.154222.0.0.1552
40222.0.0.156/30222.0.0.157 to 222.0.0.158222.0.0.1592
41222.0.0.160/30222.0.0.161 to 222.0.0.162222.0.0.1632
42222.0.0.164/30222.0.0.165 to 222.0.0.166222.0.0.1672
43222.0.0.168/30222.0.0.169 to 222.0.0.170222.0.0.1712
44222.0.0.172/30222.0.0.173 to 222.0.0.174222.0.0.1752
45222.0.0.176/30222.0.0.177 to 222.0.0.178222.0.0.1792
46222.0.0.180/30222.0.0.181 to 222.0.0.182222.0.0.1832
47222.0.0.184/30222.0.0.185 to 222.0.0.186222.0.0.1872
48222.0.0.188/30222.0.0.189 to 222.0.0.190222.0.0.1912
49222.0.0.192/30222.0.0.193 to 222.0.0.194222.0.0.1952
50222.0.0.196/30222.0.0.197 to 222.0.0.198222.0.0.1992
51222.0.0.200/30222.0.0.201 to 222.0.0.202222.0.0.2032
52222.0.0.204/30222.0.0.205 to 222.0.0.206222.0.0.2072
53222.0.0.208/30222.0.0.209 to 222.0.0.210222.0.0.2112
54222.0.0.212/30222.0.0.213 to 222.0.0.214222.0.0.2152
55222.0.0.216/30222.0.0.217 to 222.0.0.218222.0.0.2192
56222.0.0.220/30222.0.0.221 to 222.0.0.222222.0.0.2232
57222.0.0.224/30222.0.0.225 to 222.0.0.226222.0.0.2272
58222.0.0.228/30222.0.0.229 to 222.0.0.230222.0.0.2312
59222.0.0.232/30222.0.0.233 to 222.0.0.234222.0.0.2352
60222.0.0.236/30222.0.0.237 to 222.0.0.238222.0.0.2392
61222.0.0.240/30222.0.0.241 to 222.0.0.242222.0.0.2432
62222.0.0.244/30222.0.0.245 to 222.0.0.246222.0.0.2472
63222.0.0.248/30222.0.0.249 to 222.0.0.250222.0.0.2512
64222.0.0.252/30222.0.0.253 to 222.0.0.254222.0.0.2552
65222.0.1.0/30222.0.1.1 to 222.0.1.2222.0.1.32
66222.0.1.4/30222.0.1.5 to 222.0.1.6222.0.1.72
67222.0.1.8/30222.0.1.9 to 222.0.1.10222.0.1.112
68222.0.1.12/30222.0.1.13 to 222.0.1.14222.0.1.152
69222.0.1.16/30222.0.1.17 to 222.0.1.18222.0.1.192
70222.0.1.20/30222.0.1.21 to 222.0.1.22222.0.1.232
71222.0.1.24/30222.0.1.25 to 222.0.1.26222.0.1.272
72222.0.1.28/30222.0.1.29 to 222.0.1.30222.0.1.312
73222.0.1.32/30222.0.1.33 to 222.0.1.34222.0.1.352
74222.0.1.36/30222.0.1.37 to 222.0.1.38222.0.1.392
75222.0.1.40/30222.0.1.41 to 222.0.1.42222.0.1.432
76222.0.1.44/30222.0.1.45 to 222.0.1.46222.0.1.472
77222.0.1.48/30222.0.1.49 to 222.0.1.50222.0.1.512
78222.0.1.52/30222.0.1.53 to 222.0.1.54222.0.1.552
79222.0.1.56/30222.0.1.57 to 222.0.1.58222.0.1.592
80222.0.1.60/30222.0.1.61 to 222.0.1.62222.0.1.632
81222.0.1.64/30222.0.1.65 to 222.0.1.66222.0.1.672
82222.0.1.68/30222.0.1.69 to 222.0.1.70222.0.1.712
83222.0.1.72/30222.0.1.73 to 222.0.1.74222.0.1.752
84222.0.1.76/30222.0.1.77 to 222.0.1.78222.0.1.792
85222.0.1.80/30222.0.1.81 to 222.0.1.82222.0.1.832
86222.0.1.84/30222.0.1.85 to 222.0.1.86222.0.1.872
87222.0.1.88/30222.0.1.89 to 222.0.1.90222.0.1.912
88222.0.1.92/30222.0.1.93 to 222.0.1.94222.0.1.952
89222.0.1.96/30222.0.1.97 to 222.0.1.98222.0.1.992
90222.0.1.100/30222.0.1.101 to 222.0.1.102222.0.1.1032
91222.0.1.104/30222.0.1.105 to 222.0.1.106222.0.1.1072
92222.0.1.108/30222.0.1.109 to 222.0.1.110222.0.1.1112
93222.0.1.112/30222.0.1.113 to 222.0.1.114222.0.1.1152
94222.0.1.116/30222.0.1.117 to 222.0.1.118222.0.1.1192
95222.0.1.120/30222.0.1.121 to 222.0.1.122222.0.1.1232
96222.0.1.124/30222.0.1.125 to 222.0.1.126222.0.1.1272
97222.0.1.128/30222.0.1.129 to 222.0.1.130222.0.1.1312
98222.0.1.132/30222.0.1.133 to 222.0.1.134222.0.1.1352
99222.0.1.136/30222.0.1.137 to 222.0.1.138222.0.1.1392
100222.0.1.140/30222.0.1.141 to 222.0.1.142222.0.1.1432
101222.0.1.144/30222.0.1.145 to 222.0.1.146222.0.1.1472
102222.0.1.148/30222.0.1.149 to 222.0.1.150222.0.1.1512
103222.0.1.152/30222.0.1.153 to 222.0.1.154222.0.1.1552
104222.0.1.156/30222.0.1.157 to 222.0.1.158222.0.1.1592
105222.0.1.160/30222.0.1.161 to 222.0.1.162222.0.1.1632
106222.0.1.164/30222.0.1.165 to 222.0.1.166222.0.1.1672
107222.0.1.168/30222.0.1.169 to 222.0.1.170222.0.1.1712
108222.0.1.172/30222.0.1.173 to 222.0.1.174222.0.1.1752
109222.0.1.176/30222.0.1.177 to 222.0.1.178222.0.1.1792
110222.0.1.180/30222.0.1.181 to 222.0.1.182222.0.1.1832
111222.0.1.184/30222.0.1.185 to 222.0.1.186222.0.1.1872
112222.0.1.188/30222.0.1.189 to 222.0.1.190222.0.1.1912
113222.0.1.192/30222.0.1.193 to 222.0.1.194222.0.1.1952
114222.0.1.196/30222.0.1.197 to 222.0.1.198222.0.1.1992
115222.0.1.200/30222.0.1.201 to 222.0.1.202222.0.1.2032
116222.0.1.204/30222.0.1.205 to 222.0.1.206222.0.1.2072
117222.0.1.208/30222.0.1.209 to 222.0.1.210222.0.1.2112
118222.0.1.212/30222.0.1.213 to 222.0.1.214222.0.1.2152
119222.0.1.216/30222.0.1.217 to 222.0.1.218222.0.1.2192
120222.0.1.220/30222.0.1.221 to 222.0.1.222222.0.1.2232
121222.0.1.224/30222.0.1.225 to 222.0.1.226222.0.1.2272
122222.0.1.228/30222.0.1.229 to 222.0.1.230222.0.1.2312
123222.0.1.232/30222.0.1.233 to 222.0.1.234222.0.1.2352
124222.0.1.236/30222.0.1.237 to 222.0.1.238222.0.1.2392
125222.0.1.240/30222.0.1.241 to 222.0.1.242222.0.1.2432
126222.0.1.244/30222.0.1.245 to 222.0.1.246222.0.1.2472
127222.0.1.248/30222.0.1.249 to 222.0.1.250222.0.1.2512
128222.0.1.252/30222.0.1.253 to 222.0.1.254222.0.1.2552
129222.0.2.0/30222.0.2.1 to 222.0.2.2222.0.2.32
130222.0.2.4/30222.0.2.5 to 222.0.2.6222.0.2.72
131222.0.2.8/30222.0.2.9 to 222.0.2.10222.0.2.112
132222.0.2.12/30222.0.2.13 to 222.0.2.14222.0.2.152
133222.0.2.16/30222.0.2.17 to 222.0.2.18222.0.2.192
134222.0.2.20/30222.0.2.21 to 222.0.2.22222.0.2.232
135222.0.2.24/30222.0.2.25 to 222.0.2.26222.0.2.272
136222.0.2.28/30222.0.2.29 to 222.0.2.30222.0.2.312
137222.0.2.32/30222.0.2.33 to 222.0.2.34222.0.2.352
138222.0.2.36/30222.0.2.37 to 222.0.2.38222.0.2.392
139222.0.2.40/30222.0.2.41 to 222.0.2.42222.0.2.432
140222.0.2.44/30222.0.2.45 to 222.0.2.46222.0.2.472
141222.0.2.48/30222.0.2.49 to 222.0.2.50222.0.2.512
142222.0.2.52/30222.0.2.53 to 222.0.2.54222.0.2.552
143222.0.2.56/30222.0.2.57 to 222.0.2.58222.0.2.592
144222.0.2.60/30222.0.2.61 to 222.0.2.62222.0.2.632
145222.0.2.64/30222.0.2.65 to 222.0.2.66222.0.2.672
146222.0.2.68/30222.0.2.69 to 222.0.2.70222.0.2.712
147222.0.2.72/30222.0.2.73 to 222.0.2.74222.0.2.752
148222.0.2.76/30222.0.2.77 to 222.0.2.78222.0.2.792
149222.0.2.80/30222.0.2.81 to 222.0.2.82222.0.2.832
150222.0.2.84/30222.0.2.85 to 222.0.2.86222.0.2.872
151222.0.2.88/30222.0.2.89 to 222.0.2.90222.0.2.912
152222.0.2.92/30222.0.2.93 to 222.0.2.94222.0.2.952
153222.0.2.96/30222.0.2.97 to 222.0.2.98222.0.2.992
154222.0.2.100/30222.0.2.101 to 222.0.2.102222.0.2.1032
155222.0.2.104/30222.0.2.105 to 222.0.2.106222.0.2.1072
156222.0.2.108/30222.0.2.109 to 222.0.2.110222.0.2.1112
157222.0.2.112/30222.0.2.113 to 222.0.2.114222.0.2.1152
158222.0.2.116/30222.0.2.117 to 222.0.2.118222.0.2.1192
159222.0.2.120/30222.0.2.121 to 222.0.2.122222.0.2.1232
160222.0.2.124/30222.0.2.125 to 222.0.2.126222.0.2.1272
161222.0.2.128/30222.0.2.129 to 222.0.2.130222.0.2.1312
162222.0.2.132/30222.0.2.133 to 222.0.2.134222.0.2.1352
163222.0.2.136/30222.0.2.137 to 222.0.2.138222.0.2.1392
164222.0.2.140/30222.0.2.141 to 222.0.2.142222.0.2.1432
165222.0.2.144/30222.0.2.145 to 222.0.2.146222.0.2.1472
166222.0.2.148/30222.0.2.149 to 222.0.2.150222.0.2.1512
167222.0.2.152/30222.0.2.153 to 222.0.2.154222.0.2.1552
168222.0.2.156/30222.0.2.157 to 222.0.2.158222.0.2.1592
169222.0.2.160/30222.0.2.161 to 222.0.2.162222.0.2.1632
170222.0.2.164/30222.0.2.165 to 222.0.2.166222.0.2.1672
171222.0.2.168/30222.0.2.169 to 222.0.2.170222.0.2.1712
172222.0.2.172/30222.0.2.173 to 222.0.2.174222.0.2.1752
173222.0.2.176/30222.0.2.177 to 222.0.2.178222.0.2.1792
174222.0.2.180/30222.0.2.181 to 222.0.2.182222.0.2.1832
175222.0.2.184/30222.0.2.185 to 222.0.2.186222.0.2.1872
176222.0.2.188/30222.0.2.189 to 222.0.2.190222.0.2.1912
177222.0.2.192/30222.0.2.193 to 222.0.2.194222.0.2.1952
178222.0.2.196/30222.0.2.197 to 222.0.2.198222.0.2.1992
179222.0.2.200/30222.0.2.201 to 222.0.2.202222.0.2.2032
180222.0.2.204/30222.0.2.205 to 222.0.2.206222.0.2.2072
181222.0.2.208/30222.0.2.209 to 222.0.2.210222.0.2.2112
182222.0.2.212/30222.0.2.213 to 222.0.2.214222.0.2.2152
183222.0.2.216/30222.0.2.217 to 222.0.2.218222.0.2.2192
184222.0.2.220/30222.0.2.221 to 222.0.2.222222.0.2.2232
185222.0.2.224/30222.0.2.225 to 222.0.2.226222.0.2.2272
186222.0.2.228/30222.0.2.229 to 222.0.2.230222.0.2.2312
187222.0.2.232/30222.0.2.233 to 222.0.2.234222.0.2.2352
188222.0.2.236/30222.0.2.237 to 222.0.2.238222.0.2.2392
189222.0.2.240/30222.0.2.241 to 222.0.2.242222.0.2.2432
190222.0.2.244/30222.0.2.245 to 222.0.2.246222.0.2.2472
191222.0.2.248/30222.0.2.249 to 222.0.2.250222.0.2.2512
192222.0.2.252/30222.0.2.253 to 222.0.2.254222.0.2.2552
193222.0.3.0/30222.0.3.1 to 222.0.3.2222.0.3.32
194222.0.3.4/30222.0.3.5 to 222.0.3.6222.0.3.72
195222.0.3.8/30222.0.3.9 to 222.0.3.10222.0.3.112
196222.0.3.12/30222.0.3.13 to 222.0.3.14222.0.3.152
197222.0.3.16/30222.0.3.17 to 222.0.3.18222.0.3.192
198222.0.3.20/30222.0.3.21 to 222.0.3.22222.0.3.232
199222.0.3.24/30222.0.3.25 to 222.0.3.26222.0.3.272
200222.0.3.28/30222.0.3.29 to 222.0.3.30222.0.3.312
201222.0.3.32/30222.0.3.33 to 222.0.3.34222.0.3.352
202222.0.3.36/30222.0.3.37 to 222.0.3.38222.0.3.392
203222.0.3.40/30222.0.3.41 to 222.0.3.42222.0.3.432
204222.0.3.44/30222.0.3.45 to 222.0.3.46222.0.3.472
205222.0.3.48/30222.0.3.49 to 222.0.3.50222.0.3.512
206222.0.3.52/30222.0.3.53 to 222.0.3.54222.0.3.552
207222.0.3.56/30222.0.3.57 to 222.0.3.58222.0.3.592
208222.0.3.60/30222.0.3.61 to 222.0.3.62222.0.3.632
209222.0.3.64/30222.0.3.65 to 222.0.3.66222.0.3.672
210222.0.3.68/30222.0.3.69 to 222.0.3.70222.0.3.712
211222.0.3.72/30222.0.3.73 to 222.0.3.74222.0.3.752
212222.0.3.76/30222.0.3.77 to 222.0.3.78222.0.3.792
213222.0.3.80/30222.0.3.81 to 222.0.3.82222.0.3.832
214222.0.3.84/30222.0.3.85 to 222.0.3.86222.0.3.872
215222.0.3.88/30222.0.3.89 to 222.0.3.90222.0.3.912
216222.0.3.92/30222.0.3.93 to 222.0.3.94222.0.3.952
217222.0.3.96/30222.0.3.97 to 222.0.3.98222.0.3.992
218222.0.3.100/30222.0.3.101 to 222.0.3.102222.0.3.1032
219222.0.3.104/30222.0.3.105 to 222.0.3.106222.0.3.1072
220222.0.3.108/30222.0.3.109 to 222.0.3.110222.0.3.1112
221222.0.3.112/30222.0.3.113 to 222.0.3.114222.0.3.1152
222222.0.3.116/30222.0.3.117 to 222.0.3.118222.0.3.1192
223222.0.3.120/30222.0.3.121 to 222.0.3.122222.0.3.1232
224222.0.3.124/30222.0.3.125 to 222.0.3.126222.0.3.1272
225222.0.3.128/30222.0.3.129 to 222.0.3.130222.0.3.1312
226222.0.3.132/30222.0.3.133 to 222.0.3.134222.0.3.1352
227222.0.3.136/30222.0.3.137 to 222.0.3.138222.0.3.1392
228222.0.3.140/30222.0.3.141 to 222.0.3.142222.0.3.1432
229222.0.3.144/30222.0.3.145 to 222.0.3.146222.0.3.1472
230222.0.3.148/30222.0.3.149 to 222.0.3.150222.0.3.1512
231222.0.3.152/30222.0.3.153 to 222.0.3.154222.0.3.1552
232222.0.3.156/30222.0.3.157 to 222.0.3.158222.0.3.1592
233222.0.3.160/30222.0.3.161 to 222.0.3.162222.0.3.1632
234222.0.3.164/30222.0.3.165 to 222.0.3.166222.0.3.1672
235222.0.3.168/30222.0.3.169 to 222.0.3.170222.0.3.1712
236222.0.3.172/30222.0.3.173 to 222.0.3.174222.0.3.1752
237222.0.3.176/30222.0.3.177 to 222.0.3.178222.0.3.1792
238222.0.3.180/30222.0.3.181 to 222.0.3.182222.0.3.1832
239222.0.3.184/30222.0.3.185 to 222.0.3.186222.0.3.1872
240222.0.3.188/30222.0.3.189 to 222.0.3.190222.0.3.1912
241222.0.3.192/30222.0.3.193 to 222.0.3.194222.0.3.1952
242222.0.3.196/30222.0.3.197 to 222.0.3.198222.0.3.1992
243222.0.3.200/30222.0.3.201 to 222.0.3.202222.0.3.2032
244222.0.3.204/30222.0.3.205 to 222.0.3.206222.0.3.2072
245222.0.3.208/30222.0.3.209 to 222.0.3.210222.0.3.2112
246222.0.3.212/30222.0.3.213 to 222.0.3.214222.0.3.2152
247222.0.3.216/30222.0.3.217 to 222.0.3.218222.0.3.2192
248222.0.3.220/30222.0.3.221 to 222.0.3.222222.0.3.2232
249222.0.3.224/30222.0.3.225 to 222.0.3.226222.0.3.2272
250222.0.3.228/30222.0.3.229 to 222.0.3.230222.0.3.2312
251222.0.3.232/30222.0.3.233 to 222.0.3.234222.0.3.2352
252222.0.3.236/30222.0.3.237 to 222.0.3.238222.0.3.2392
253222.0.3.240/30222.0.3.241 to 222.0.3.242222.0.3.2432
254222.0.3.244/30222.0.3.245 to 222.0.3.246222.0.3.2472
255222.0.3.248/30222.0.3.249 to 222.0.3.250222.0.3.2512
256222.0.3.252/30222.0.3.253 to 222.0.3.254222.0.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses